%define	src_version	2.64

Summary:	A minimal mail-transfer agent which forwards mail to an SMTP server
Name:		ssmtp
Version:	2.64
Release:	%mkrel 17
License:	GPLv2+
URL:		http://packages.debian.org/sid/ssmtp
Group:		System/Servers
BuildRequires:	rcs
BuildRequires:	openssl-devel
Provides:	sendmail-command
Requires:	common-licenses
Recommends:	rootcerts

Source0:	http://ftp.debian.org/debian/pool/main/s/ssmtp/%{name}_%{version}.tar.bz2
Patch0:		ssmtp-2.64-fdr-validate-TLS-server-cert.patch
Patch1:		ssmtp-2.6.4-link-crypto.patch
Patch2:		ssmtp-2.64-fdr-config-load-default-CAs.patch

%description
This is sSMTP, a program that replaces sendmail on workstations that
should send their mail via the departmental mailhub from which they pick up
their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This
program accepts mail and sends it to the mailhub, optionally replacing the
domain in the From: line with a different one.

%prep
%setup -q
%apply_patches

# viet 05/08/2003 / by default, the configure script sets sysconfdir
# to /usr/etc, which is no good. The --sysconfdir= switch doesn't do
# anything either because Makefile.in is not using it => patching Makefile.in
perl -pi -e 's|etcdir=\$\(prefix\)/etc|etcdir=\@sysconfdir\@|' Makefile.in

%build
%serverbuild
%configure --enable-ssl --enable-md5auth
%make

%install
install -D -m 2750 ssmtp	%{buildroot}%{_sbindir}/ssmtp
install -D -m 644 ssmtp.conf	%{buildroot}%{_sysconfdir}/ssmtp/ssmtp.conf
install -D -m 644 revaliases	%{buildroot}%{_sysconfdir}/ssmtp/revaliases
install -D -m 644 ssmtp.conf.5	%{buildroot}%{_mandir}/man5/ssmtp.conf.5
install -D -m 644 ssmtp.8	%{buildroot}%{_mandir}/man8/ssmtp.8

# fix doc permissions:
chmod 644 INSTALL README ChangeLog CHANGELOG_OLD COPYRIGHT TLS *.lsm

#ln -s %{_sbindir}/ssmtp %{buildroot}%{_sbindir}/sendmail
# ln -s %{_mandir}/man8/ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2
#ln -s ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2

%post
update-alternatives --install %{_sbindir}/sendmail sendmail-command %{_sbindir}/ssmtp 5 --slave %{_prefix}/lib/sendmail sendmail-command-in_libdir %{_sbindir}/ssmtp


%preun
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_sbindir}/ssmtp
fi


%files
%doc README ChangeLog CHANGELOG_OLD COPYRIGHT TLS *.lsm 
%attr(2755, root, mail) %{_sbindir}/ssmtp
%attr(2750, root, mail) %config(noreplace) %dir %{_sysconfdir}/ssmtp
%attr(2750, root, mail) %config(noreplace) %{_sysconfdir}/ssmtp/*
%{_mandir}/man8/*
%{_mandir}/man5/*


%changelog
* Thu Mar 03 2016 umeabot <umeabot> 2.64-17.mga6
+ Revision: 984149
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 2.64-16.mga6
+ Revision: 936357
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.64-15.mga5
+ Revision: 741644
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.64-14.mga5
+ Revision: 689331
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 2.64-13.mga4
+ Revision: 539088
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 solbu <solbu> 2.64-12.mga4
+ Revision: 491356
- Cleanup spec
- Don't ship the INSTALL file
- Add Suggests: rootcerts

* Sun Sep 29 2013 solbu <solbu> 2.64-11.mga4
+ Revision: 489260
- Patch2: Load CAs automatically, if so specified

* Sun Sep 29 2013 solbu <solbu> 2.64-10.mga4
+ Revision: 489236
- Security fix, updating patch0
- Rename patch0, according to policy

* Fri Jul 12 2013 solbu <solbu> 2.64-9.mga4
+ Revision: 453513
- Security fix (mga#10701)

* Wed Mar 20 2013 solbu <solbu> 2.64-8.mga3
+ Revision: 404135
- Fix Licence
- Fix Url

* Mon Jan 14 2013 umeabot <umeabot> 2.64-7.mga3
+ Revision: 382680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 luigiwalser <luigiwalser> 2.64-6.mga3
+ Revision: 312295
- link with libcrypto
- add validation of server certs with TLS (rhbz#864894)

* Sun May 08 2011 tmb <tmb> 2.64-5.mga1
+ Revision: 96499
- bump release to fix upgrade from mdv

* Thu May 05 2011 saispo <saispo> 2.64-1.mga1
+ Revision: 95111
- imported package ssmtp

